Imports DigitalData.Modules.Logging

Public Class ClassCommon
    Private _LogConfig As LogConfig
    Private _Logger As Logger

    Public Commands As ClassCommonCommands
    Public Views As ClassCommonViews

    Public Sub New(LogConfig As LogConfig)
        _LogConfig = LogConfig
        _Logger = LogConfig.GetLogger()

        Commands = New ClassCommonCommands(LogConfig)
        Views = New ClassCommonViews(LogConfig)
    End Sub
End Class
